Subject: Re: Updated: guile-1.8.7
From: Mark Harig <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 23 Nov 2010 21:45:42 -0500
List-Id: <cygwin.cygwin.com>

On Tue, Nov 23, 2010 at 09:06:44PM -0500, Mark Harig wrote:
> On Mon, Nov 22, 2010 at 11:10:39AM +0100, Jan Nieuwenhuizen wrote:
> > I've updated the version of Guile to 1.8.7.  This also includes the
> > guile-devel packages.
> >
> > This is a new upstream release.  For a full update of changes, see
> > the file usr/share/doc/guile/NEWS in the guile-doc package.
> >
> > Cygwin-specific changes
> >
> >   * New upstream release.
> >   * Add int scm_i_terminating export, thanks Yaakov.
> >   * Move to gub3: http://lilypond.org/gub .
> >
> >
> > ==================================================================
> >
>
> I have installed guile 1.8.7, guile-doc 1.8.7, and libguile17 1.8.7,
> along with cygwin 1.7.7:
>
> $ cygcheck -c cygwin guile guile-doc libguile17
> Cygwin Package Information
> Package              Version        Status
> cygwin               1.7.7-1        OK
> guile                1.8.7-1        OK
> guile-doc            1.8.7-1        OK
> libguile17           1.8.7-1        OK
>
> I have previously been able to install and start guile 1.8.2 without
> error, but when I attempt to start guile 1.8.7, it fails immediately
> with a Stack overflow error:
>

1. Here is a check of the other packages that guile requires at 
run-time:

$ cygcheck -c crypt gmp libltdl3
Cygwin Package Information
Package              Version        Status
crypt                1.1-1          OK
gmp                  4.3.1-3        OK
libltdl3             1.5.27a-1      OK

$ cygcheck -c libintl2 libintl3 libintl8
Cygwin Package Information
Package              Version        Status
libintl2             0.12.1-3       OK
libintl3             0.14.5-1       OK
libintl8             0.17-11        OK

2. Another problem is that guile-doc 1.8.7, unlike guile-doc 1.8.2,
does not include the 'info' documentation files:

$ cygcheck -l guile-doc
/usr/share/doc/guile/GUILE-VERSION
/usr/share/doc/guile/LIBGUILEREADLINE-VERSION
/usr/share/doc/guile/PROGRAM
/usr/share/doc/guile/ChangeLog-2008
/usr/share/doc/guile/NEWS
/usr/share/doc/guile/LICENSE
/usr/share/doc/guile/ChangeLog
/usr/share/doc/guile/ChangeLog-gh
/usr/share/doc/guile/COPYING.LESSER
/usr/share/doc/guile/THANKS
/usr/share/doc/guile/ChangeLog-2000
/usr/share/doc/guile/README
/usr/share/doc/guile/AUTHORS
/usr/share/doc/guile/HACKING
/usr/share/doc/guile/ChangeLog-scm
/usr/share/doc/guile/INSTALL
/usr/share/doc/guile/ABOUT-NLS
/usr/share/doc/guile/ChangeLog-1996-1999
/usr/share/doc/guile/ChangeLog-threads

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple